Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing
Class DefaultOWLTestResult

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.DefaultOWLTestResult

All Implemented Interfaces:
  OWLTestResult

    public class DefaultOWLTestResult

extends Object
implements OWLTestResult

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTestResult
`TYPE_ERROR, TYPE_OWL_FULL, TYPE_WARNING`

Constructor Summary
`DefaultOWLTestResult(String message, RDFResource source, int type, OWLTest test)`
`DefaultOWLTestResult(String message, RDFResource source, int type, OWLTest test, Icon icon)`

Method Summary
`RDFResource` | `getHost()`
`Icon` | `getIcon()` Gets an Icon to represent this type of OWLTestResult.
`String` | `getMessage()`
`OWLTest` | `getOWLTest()`
`int` | `getType()` Gets the type of result.
`String` | `getTypeString()`
`Object` | `getUserObject()` Gets the (optional) user object attached to this OWLTestResult.
`void` | `setUserObject(Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultOWLTestResult

    public DefaultOWLTestResult(String message,
                                RDFResource source,
                                int type,
                                OWLTest test)

### DefaultOWLTestResult

    public DefaultOWLTestResult(String message,
                                RDFResource source,
                                int type,
                                OWLTest test,
                                Icon icon)

Method Detail

### getHost

    public RDFResource getHost()

  Specified by:
    `getHost` in interface `OWLTestResult`

### getIcon

    public Icon getIcon()

  Description copied from interface: `OWLTestResult`
  Gets an Icon to represent this type of OWLTestResult.

  Specified by:
    `getIcon` in interface `OWLTestResult`
  Returns:
    an Icon (not null)

### getMessage

    public String getMessage()

  Specified by:
    `getMessage` in interface `OWLTestResult`

### getOWLTest

    public OWLTest getOWLTest()

  Specified by:
    `getOWLTest` in interface `OWLTestResult`

### getType

    public int getType()

  Description copied from interface: `OWLTestResult`
  Gets the type of result.

  Specified by:
    `getType` in interface `OWLTestResult`
  Returns:
    one of TYPE_xxx

### getTypeString

    public String getTypeString()

### getUserObject

    public Object getUserObject()

  Description copied from interface: `OWLTestResult`
  Gets the (optional) user object attached to this OWLTestResult.

  Specified by:
    `getUserObject` in interface `OWLTestResult`
  Returns:
    the user object (e.g. to provide more info on how to repair this)

### setUserObject

    public void setUserObject(Object value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.